%define name libtagedit
%define version 1.0
%define pre b2
%define release 0.%pre.1mdk
%define fname %name-%version%pre
%define major 3
%define libname %mklibname tagedit %major

Summary: Audio file tag editor library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://libtagedit.sourceforge.net/
BuildRequires: libflac++-devel
BuildRequires: libvorbis-devel

%description
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

%package -n %libname
Summary:   Shared library of sndfile
Group:     System/Libraries
Requires: %name >= %version-%release

%description -n %libname
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

This package contains the shared library to run applications based 
on %name.

%package -n %libname-devel
Summary:  Libraries, includes, etc to develop applications with %name
Group:	  Development/C++
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %libname-devel
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

This package contains libraries and include files you can use to
develop applications with %name.

%prep
%setup -q -n %fname

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/tagedit-plugins/*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/tagedit-plugins/*.so

%files -n %libname
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n  %libname-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*a
%_includedir/libtagedit/

%changelog
* Sun Sep  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.1mdk
- initial package

